Bug 230047 - security/softether: use https in MASTER_SITES and WWW
Summary: security/softether: use https in MASTER_SITES and WWW
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL: https://reviews.freebsd.org/D16578
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-26 02:07 UTC by Koichiro Iwao
Modified: 2019-01-27 13:38 UTC (History)
4 users (show)

See Also:
pi: maintainer-feedback-


Attachments
patch (832 bytes, patch)
2018-07-26 02:07 UTC, Koichiro Iwao
no flags Details | Diff
patch (1.43 KB, patch)
2018-07-26 07:02 UTC, Koichiro Iwao
no flags Details | Diff
patch (1.43 KB, patch)
2018-08-28 01:23 UTC, Koichiro Iwao
no flags Details | Diff
patch (946 bytes, patch)
2018-08-28 01:34 UTC, Koichiro Iwao
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2018-07-26 02:07:53 UTC
Created attachment 195461 [details]
patch

Upstream now provides https site.
Comment 1 Koichiro Iwao freebsd_committer 2018-07-26 07:02:23 UTC
Created attachment 195463 [details]
patch

Also pet portlint fatal errors and warnings.

- Use tab after =
- Sort ONLY_FOR_ARCHS
- Bring ONLY_FOR_ARCHS earlier
Comment 2 Koichiro Iwao freebsd_committer 2018-08-03 03:08:49 UTC
Switched to Phabricator because mat@ point outs lots of existing Makefile issues.
https://reviews.freebsd.org/D16578
Comment 3 Koichiro Iwao freebsd_committer 2018-08-16 10:57:29 UTC
Maintainer timeout however maintainer is a mentor.
Comment 4 Koichiro Iwao freebsd_committer 2018-08-27 02:16:20 UTC
ping
Comment 5 Koichiro Iwao freebsd_committer 2018-08-28 01:08:52 UTC
If responding mat@'s pointing outs takes
Comment 6 Koichiro Iwao freebsd_committer 2018-08-28 01:10:19 UTC
If responding mat@'s pointing outs takes time, I'll reset the diff and just change the MASTER_SITES and WWW again. I really just wanted to use https instead of http but mat complains lots of other thing :(
Comment 7 Koichiro Iwao freebsd_committer 2018-08-28 01:23:48 UTC
Created attachment 196623 [details]
patch

Anyway, please please let me just switch to https. s/http/https/ is definitely the easiest change to review.  Regarding softether website, https is 100% compatible with http, definitely no side effects, no regression.

I'm really tired receiving complains about Makefile which I'm NOT A MAINTAINER!!

mat@, talk to the maintainer, not me.
Comment 8 Koichiro Iwao freebsd_committer 2018-08-28 01:34:52 UTC
Created attachment 196624 [details]
patch

attached wrong patch, this is the correct one.
Comment 9 Mathieu Arnold freebsd_committer 2018-08-28 19:59:13 UTC
(In reply to Koichiro Iwao from comment #7)
> Created attachment 196623 [details]
> patch
> 
> Anyway, please please let me just switch to https. s/http/https/ is
> definitely the easiest change to review.  Regarding softether website, https
> is 100% compatible with http, definitely no side effects, no regression.
> 
> I'm really tired receiving complains about Makefile which I'm NOT A
> MAINTAINER!!
> 
> mat@, talk to the maintainer, not me.

You are a committer, and you submitted the patch.  It is your responsibility to see it through.  You already have the maintainer timeout, so you can commit the patch, along with the fixes I pointed out.

I do not understand where this aggressiveness is coming from.
Comment 10 commit-hook freebsd_committer 2018-10-31 15:03:31 UTC
A commit references this bug:

Author: meta
Date: Wed Oct 31 15:03:20 UTC 2018
New revision: 483589
URL: https://svnweb.freebsd.org/changeset/ports/483589

Log:
  Take maintainership due to long inactivity on these ports.

  PR:		232372 230047 230050
  Approved by:	maintainer timeout, mentors (implicit)

Changes:
  head/security/softether/Makefile
  head/security/softether-devel/Makefile
Comment 11 Koichiro Iwao freebsd_committer 2018-10-31 15:22:14 UTC
Grab. Before everything, I switch MASTER_SITES and WWW to HTTPS.
Comment 12 commit-hook freebsd_committer 2018-10-31 15:22:49 UTC
A commit references this bug:

Author: meta
Date: Wed Oct 31 15:21:46 UTC 2018
New revision: 483592
URL: https://svnweb.freebsd.org/changeset/ports/483592

Log:
  secutiry/softether:  use https in MASTER_SITES and WWW

  Upstream provides https site since a very long time ago.

  PR:		230047
  Approved by:	mentors (implicit)

Changes:
  head/security/softether/Makefile
  head/security/softether/pkg-descr
Comment 13 Koichiro Iwao freebsd_committer 2018-10-31 15:28:13 UTC
Committed https change. It is the main topic of this PR and 100% no regression, almost nothing to test. So it can be committed carelessly.

The rest issues will be done in phabricator: https://reviews.freebsd.org/D16578